<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rlComIfCbs_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rlComIfCbs_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Communication interface(SPI, MailBox, UART etc) callback functions.  
 <a href="structrl_com_if_cbs__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/mmwavelink.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:ad6c2654153471d5730d9610c8df1abbb"><td class="memItemLeft" align="right" valign="top">rlComIfHdl_t(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_com_if_cbs__t.html#ad6c2654153471d5730d9610c8df1abbb">rlComIfOpen</a> )(rlUInt8_t deviceIndex, rlUInt32_t flags)</td></tr>
<tr class="memdesc:ad6c2654153471d5730d9610c8df1abbb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Open Communication interface.  <a href="#ad6c2654153471d5730d9610c8df1abbb">More...</a><br /></td></tr>
<tr class="separator:ad6c2654153471d5730d9610c8df1abbb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a12950b749ee769443d205bc40a0a1e65"><td class="memItemLeft" align="right" valign="top">rlInt32_t(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_com_if_cbs__t.html#a12950b749ee769443d205bc40a0a1e65">rlComIfRead</a> )(rlComIfHdl_t fd, rlUInt8_t *pBuff, rlUInt16_t len)</td></tr>
<tr class="memdesc:a12950b749ee769443d205bc40a0a1e65"><td class="mdescLeft">&#160;</td><td class="mdescRight">Read Data from Communication interface.  <a href="#a12950b749ee769443d205bc40a0a1e65">More...</a><br /></td></tr>
<tr class="separator:a12950b749ee769443d205bc40a0a1e65"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac76b33ac3590508be4d0c921a3a71697"><td class="memItemLeft" align="right" valign="top">rlInt32_t(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_com_if_cbs__t.html#ac76b33ac3590508be4d0c921a3a71697">rlComIfWrite</a> )(rlComIfHdl_t fd, rlUInt8_t *pBuff, rlUInt16_t len)</td></tr>
<tr class="memdesc:ac76b33ac3590508be4d0c921a3a71697"><td class="mdescLeft">&#160;</td><td class="mdescRight">Write Data over Communication interface.  <a href="#ac76b33ac3590508be4d0c921a3a71697">More...</a><br /></td></tr>
<tr class="separator:ac76b33ac3590508be4d0c921a3a71697"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9bd418a848a07c14d1550de16e7cf285"><td class="memItemLeft" align="right" valign="top">rlInt32_t(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_com_if_cbs__t.html#a9bd418a848a07c14d1550de16e7cf285">rlComIfClose</a> )(rlComIfHdl_t fd)</td></tr>
<tr class="memdesc:a9bd418a848a07c14d1550de16e7cf285"><td class="mdescLeft">&#160;</td><td class="mdescRight">Close the Communication interface.  <a href="#a9bd418a848a07c14d1550de16e7cf285">More...</a><br /></td></tr>
<tr class="separator:a9bd418a848a07c14d1550de16e7cf285"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Communication interface(SPI, MailBox, UART etc) callback functions. </p>
</div><h2 class="groupheader">Field Documentation</h2>
<a class="anchor" id="a9bd418a848a07c14d1550de16e7cf285"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">rlInt32_t(* rlComIfCbs_t::rlComIfClose)(rlComIfHdl_t fd)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Close the Communication interface. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">fd</td><td>- Handle to access the communication interface</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>rlInt32_t Success - 0, Failure - Error code</dd></dl>
<p>Close the Communication interface </p>

</div>
</div>
<a class="anchor" id="ad6c2654153471d5730d9610c8df1abbb"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">rlComIfHdl_t(* rlComIfCbs_t::rlComIfOpen)(rlUInt8_t deviceIndex, rlUInt32_t flags)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Open Communication interface. </p>
<p>... </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">deviceIndex</td><td>- Communication Interface to Open </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">flags</td><td>- Flags to configure the interface</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>rlComIfHdl_t Handle to access the communication interface</dd></dl>
<p>Open Communication interface </p>

</div>
</div>
<a class="anchor" id="a12950b749ee769443d205bc40a0a1e65"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">rlInt32_t(* rlComIfCbs_t::rlComIfRead)(rlComIfHdl_t fd, rlUInt8_t *pBuff, rlUInt16_t len)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Read Data from Communication interface. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">fd</td><td>- Handle to access the communication interface </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">pBuff</td><td>- Buffer to store data from communication interface </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">len</td><td>- Read size in bytes</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>rlInt32_t Length of received data</dd></dl>
<p>Read Data from Communication interface </p>

</div>
</div>
<a class="anchor" id="ac76b33ac3590508be4d0c921a3a71697"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">rlInt32_t(* rlComIfCbs_t::rlComIfWrite)(rlComIfHdl_t fd, rlUInt8_t *pBuff, rlUInt16_t len)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Write Data over Communication interface. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">fd</td><td>- Handle to access the communication interface </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">pBuff</td><td>- Buffer containing data to write over communication interface </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">len</td><td>- write size in bytes</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>rlInt32_t Length of data sent</dd></dl>
<p>Write Data over Communication interface </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/mmwavelink.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
